org.red5.server.api.event

## Interface IEventHandler

All Known Subinterfaces:
  IBasicScope, IBroadcastScope, IConnection, ICoreObject, IGlobalScope, IRemotingConnection, IScope, IScopeHandler, IServiceCapableConnection, ISharedObject, IStreamAwareScopeHandler, IStreamCapableConnection

All Known Implementing Classes:
  AbstractScopeAdapter, ApplicationAdapter, BaseConnection, BaseRTMPTConnection, BasicScope, BroadcastScope, CoreHandler, GlobalScope, MultiThreadedApplicationAdapter, RemotingConnection, RoomScope, RTMPConnection, RTMPMinaConnection, RTMPTConnection, Scope, SharedObjectScope, StatefulScopeWrappingAdapter, WebScope

    public interface IEventHandler

### Method Summary

Methods
`boolean` `handleEvent(IEvent event)` Handle an event

### Method Detail

#### handleEvent

    boolean handleEvent(IEvent event)

Handle an event

Parameters:
  `event` - event to handle
Returns:
  true if event was handled, false if it should bubble